# $Revision: 1.100.2.2 $, $Date: 2003/09/08 15:27:41 $
# Conditional build:
# _with_pgsql - build wiht PostgreSQ support
# _with_mysql - build with MySQL support
# _without_ldap - build without LDAP support
# _without_whoson - build without WHOSON support

Summary:	University of Cambridge Mail Transfer Agent
Summary(pl):	Agent Transferu Poczty Uniwersytetu w Cambridge
Summary(pt_BR):	Servidor de correio eletrnico exim
Name:		exim
Version:	3.36
Release:	6
Epoch:		1
License:	GPL
Group:		Networking/Daemons
Source0:	ftp://ftp.csx.cam.ac.uk/pub/software/email/exim/exim3/%{name}-%{version}.tar.bz2
# Source0-md5:	a18cbe15a2973714fe1aa68dffad63c4
Source1:	ftp://ftp.csx.cam.ac.uk/pub/software/email/exim/exim3/%{name}-texinfo-3.30.tar.bz2
# Source1-md5:	6400cc7988036991b6bbe7ed9b4d9eeb
Source2:	%{name}.init
Source3:	%{name}.cron.db
Source4:	%{name}.8
Source5:	analyse-log-errors
Source6:	%{name}on.desktop
Source8:	Makefile-Linux
Source9:	%{name}.aliases
Source10:	newaliases
Source11:	%{name}.logrotate
Source12:	%{name}.sysconfig
Source13:	ftp://ftp.csx.cam.ac.uk/pub/software/email/exim/exim3/FAQ.html.bz2
# Source13-md5:	986a3565d5148339a75ef621bb1d86ac
Source14:	ftp://ftp.csx.cam.ac.uk/pub/software/email/exim/exim3/config.samples.tar.bz2 
# Source14-md5:	828d711c2eac144cd625fdaf54d60db5
Source15:	%{name}.pamd
Patch0:		%{name}-EDITME.patch
Patch1:		%{name}-monitor-EDITME.patch
Patch2:		%{name}-texinfo.patch
Patch3:		%{name}-use_system_pcre.patch
Patch4:		%{name}-Makefile-Default.patch
Patch5:		%{name}-conf.patch
Patch6:		%{name}-whoson.patch
Patch7:		%{name}-whoson-config.patch
Patch8:		%{name}-smtp_in.patch
URL:		http://www.exim.org/
%{!?_without_ldap:BuildRequires: openldap-devel >= 2.0.0}
%{!?_without_whoson:BuildRequires: whoson-devel}
%{?_with_mysql:BuildRequires: mysql-devel}
%{?_with_pgsql:BuildRequires: postgresql-devel}
BuildRequires:	XFree86-devel
BuildRequires:	db3-devel
BuildRequires:	openssl-devel >= 0.9.6a
BuildRequires:	pam-devel
BuildRequires:	pcre-devel
BuildRequires:	perl
BuildRequires:	texinfo
PreReq:		rc-scripts
Requires(post,preun):	/sbin/chkconfig
Requires(pre):	/bin/id
Requires(pre):	/usr/bin/getgid
Requires(pre):	/usr/sbin/groupadd
Requires(pre):	/usr/sbin/useradd
Requires(post):	fileutils
Requires(postun):	/usr/sbin/groupdel
Requires(postun):	/usr/sbin/userdel
Provides:	smtpdaemon
Obsoletes:	smtpdaemon
Obsoletes:	masqmail
Obsoletes:	omta
Obsoletes:	postfix
Obsoletes:	qmail
Obsoletes:	qmail-client
Obsoletes:	sendmail
Obsoletes:	sendmail-cf
Obsoletes:	sendmail-doc
Obsoletes:	smail
Obsoletes:	zmailer
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Smail like Mail Transfer Agent with single configuration file.
Features: flexible retry algorithms, header & envelope rewriting,
multiple deliveries down single connection or multiple deliveries in
parallel, regular expressions in configuration parameters, file
lookups, supports sender and/or reciever verification, selective
relaying, supports virtual domains, built-in mail filtering and can be
configured to drop root privilleges when possible.

%description -l pl
Agent transferu poczty (MTA) z pojedynczym plikiem konfiguracyjnym.
Jego zalety: wietne algorytmy, moliwo przepisywania nagwkw &
koperty, wielokrotne dostarczanie poczty podczas jednego poczenia
lub rwnolege dostarczanie poczty, wyraenia regularne w parametrach
konfiguracyjnych, weryfikacja nadawcy i/lub odbiorcy, selektywne
relayowanie, wsparcie dla wirtualnych domen, wbudowany system filtrw,
moliwo odrzucania praw roota kiedy jest to moliwe.

%description -l pt_BR
O exim  um agente de transporte de correio eletrnico (MTA),
desenvolvido na Universidade de Cambridge para uso em sistemas Unix
conectados a Internet. Similar em estilo ao smail 3, suas facilidades
so mais extensivas e em particular ele tem opes para verificao do
remetente e destinatrio, para recusar mensagens de mquinas, redes ou
remetentes especficos.

%package X11
Summary:	X11 based Exim administration tool
Summary(pl):	Narzdzia administracyjne exima dla X11
Summary(pt_BR):	Monitor X11 para o exim
Group:		X11/Applications
Requires:	applnk

%description X11
X11 based monitor & administration utility for the Exim Mail Transfer
Agent.

%description X11 -l pl
Bazujce na X11 narzdzia dla Exima - monitor i program
administracyjny.

%description X11 -l pt_BR
O monitor exim  um suplemento opcional ao pacote exim. Ele mostra
informaes sobre o processamento do exim em uma janela X11. O
administrador pode executar uma srie de aes de controle a partir
desta interface.

%prep
%setup -q -T -b 0
%setup -q -T -D -a 1
%patch0 -p1
%patch1 -p1
%patch2 -p0
%patch3 -p1
%patch4 -p1
%{!?_without_whoson:%patch6 -p1}
%patch8 -p1

install %{SOURCE13} doc/FAQ.txt.gz
install %{SOURCE14} doc/config.samples.tar.gz

install -d Local
cp -f src/EDITME Local/Makefile
cp -f exim_monitor/EDITME Local/eximon.conf

%build
%{__make} CFLAGS="%{rpmcflags}" \
	LOOKUP_CDB=yes \
	%{?_with_mysql:LOOKUP_MYSQL=yes} \
	%{?_with_pgsql:LOOKUP_PGSQL=yes} \
	%{!?_without_ldap:LOOKUP_LDAP=yes LDAP_LIB_TYPE=OPENLDAP2} \
	LOOKUP_LIBS="%{!?_without_ldap:-lldap -llber} %{?_with_mysql:-lmysqlclient} %{?_with_pgsql:-lpq} %{!?_without_whoson:-lwhoson}" \
	LOOKUP_INCLUDE="%{?_with_mysql:-I/usr/include/mysql} %{?_with_pgsql:-I/usr/include/pgsql}"

makeinfo exim-texinfo-*/doc/{oview,spec,filter}.texinfo

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT/etc/{cron.{daily,weekly},logrotate.d,rc.d/init.d,sysconfig,mail,pam.d,security} \
	$RPM_BUILD_ROOT{%{_bindir},%{_sbindir},%{_mandir}/man8,%{_libdir}} \
	$RPM_BUILD_ROOT%{_var}/{spool/exim/{db,input,msglog},log/{archiv,}/exim,mail} \
	$RPM_BUILD_ROOT{%{_infodir},/usr/X11R6/bin,%{_applnkdir}/System}

install build-Linux-*/exim{,_fixdb,_tidydb,_dbmbuild,on.bin,_dumpdb,_lock} \
	build-Linux-*/exi{cyclog,next,what} %{SOURCE10} \
	util/{exigrep,eximstats,exiqsumm,unknownuser.sh} \
	$RPM_BUILD_ROOT%{_bindir}
install build-Linux-*/eximon.bin $RPM_BUILD_ROOT/usr/X11R6/bin
install build-Linux-*/eximon $RPM_BUILD_ROOT/usr/X11R6/bin

install %{SOURCE5} .
install %{SOURCE3} $RPM_BUILD_ROOT/etc/cron.weekly/
install %{SOURCE12} $RPM_BUILD_ROOT/etc/sysconfig/%{name}
install %{SOURCE2} $RPM_BUILD_ROOT/etc/rc.d/init.d/%{name}
install	%{SOURCE11} $RPM_BUILD_ROOT/etc/logrotate.d/%{name}
install src/configure.default $RPM_BUILD_ROOT%{_sysconfdir}/mail/exim.conf
cd $RPM_BUILD_ROOT%{_sysconfdir}/mail
patch -p0 < %{PATCH5}
%{!?_without_whoson:patch -p0 < %{PATCH7}}
cd -
install %{SOURCE4} $RPM_BUILD_ROOT%{_mandir}/man8/
install %{SOURCE9} $RPM_BUILD_ROOT%{_sysconfdir}/mail/aliases
install	*.info* $RPM_BUILD_ROOT%{_infodir}/

ln -sf %{_bindir}/exim $RPM_BUILD_ROOT%{_sbindir}/sendmail
ln -sf %{_bindir}/exim $RPM_BUILD_ROOT%{_libdir}/sendmail
ln -sf %{_bindir}/exim $RPM_BUILD_ROOT%{_sbindir}/mailq
ln -sf %{_bindir}/exim $RPM_BUILD_ROOT%{_sbindir}/rsmtp
ln -sf %{_bindir}/exim $RPM_BUILD_ROOT%{_sbindir}/rmail
ln -sf %{_bindir}/exim $RPM_BUILD_ROOT%{_sbindir}/runq

install %{SOURCE6} $RPM_BUILD_ROOT%{_applnkdir}/System

install %{SOURCE15} $RPM_BUILD_ROOT/etc/pam.d/exim

touch $RPM_BUILD_ROOT%{_var}/log/exim/{main,reject,panic,process}.log
touch $RPM_BUILD_ROOT/etc/security/blacklist.exim

%clean
rm -rf $RPM_BUILD_ROOT

%pre
if [ -n "`/usr/bin/getgid exim`" ]; then
	if [ "`getgid exim`" != "79" ]; then
		echo "Error: group exim doesn't have gid=79. Correct this before installing Exim." 1>&2
		exit 1
	fi
else
	/usr/sbin/groupadd -g 79 -r -f exim
fi

if [ -n "`/bin/id -u exim 2>/dev/null`" ]; then
	if [ "`id -u exim`" != "79" ]; then
		echo "Error: user exim doesn't have uid=79. Correct this before installing Exim." 1>&2
		exit 1
	fi
else
	/usr/sbin/useradd -u 79 -r -d /var/spool/exim -s /bin/false -c "Exim pseudo user" -g exim exim 1>&2
fi

%post
umask 022
/sbin/chkconfig --add %{name}
if [ -f /var/lock/subsys/exim ]; then
	/etc/rc.d/init.d/%{name} restart >&2
else
	echo "Run \"/etc/rc.d/init.d/%{name} start\" to start exim daemon."
fi

if [ ! -f /etc/mail/mailname ]; then
	rm -f /etc/mail/mailname && hostname -f > /etc/mail/mailname
	chmod 644 /etc/mail/mailname
fi
newaliases
[ ! -x /usr/sbin/fix-info-dir ] || /usr/sbin/fix-info-dir -c %{_infodir} >/dev/null 2>&1

%preun
if [ "$1" = "0" ]; then
	if [ -f /var/lock/subsys/exim ]; then
		/etc/rc.d/init.d/exim stop >&2
	fi
	/sbin/chkconfig --del %{name}
fi

%postun
[ ! -x /usr/sbin/fix-info-dir ] || /usr/sbin/fix-info-dir -c %{_infodir} >/dev/null 2>&1
if [ "$1" = "0" ]; then
	/usr/sbin/userdel exim
	/usr/sbin/groupdel exim
fi

%files
%defattr(644,root,root,755)
%doc README* NOTICE LICENCE analyse-log-errors util/transport-filter.pl
%doc doc/{ChangeLog,NewStuff,dbm.discuss.txt,filter.txt,oview.txt,spec.txt}
%attr( 644,root,root) %config(noreplace) %verify(not size mtime md5) %{_sysconfdir}/mail/exim.conf
%attr( 644,root,root) %config(noreplace) %verify(not size mtime md5) %{_sysconfdir}/mail/aliases
%attr( 644,root,root) %config(noreplace) %verify(not size mtime md5) /etc/sysconfig/exim
%attr( 644,root,root) %config(noreplace) %verify(not size mtime md5) /etc/logrotate.d/exim
%attr(640,root,root) %config(noreplace) %verify(not size mtime md5) /etc/pam.d/exim
%attr(640,root,root) %config(noreplace) %verify(not size mtime md5) /etc/security/blacklist.exim
%attr( 754,root,root) /etc/rc.d/init.d/exim
%attr(4755,root,root) %{_bindir}/exim
%attr( 770,root,exim) %dir %{_var}/spool/exim
%attr( 750,exim,exim) %dir %{_var}/spool/exim/db
%attr( 700,exim,root) %dir %{_var}/spool/exim/input
%attr( 750,exim,root) %dir %{_var}/spool/exim/msglog
%attr( 755,root,root) %{_bindir}/exim_*
%attr( 755,root,root) %{_bindir}/exinext
%attr( 755,root,root) %{_bindir}/exiwhat
%attr( 755,root,root) %{_bindir}/exicyclog
%attr( 755,root,root) %{_bindir}/exigrep
%attr( 755,root,root) %{_bindir}/eximstats
%attr( 755,root,root) %{_bindir}/exiqsumm
%attr( 755,root,root) %{_bindir}/unknownuser.sh
%attr( 755,root,root) %{_bindir}/newaliases
%attr( 755,root,root) %{_sbindir}/*
%attr( 755,root,root) %{_libdir}/*
%attr( 754,root,root) /etc/cron.weekly/exim.cron.db
%attr( 750,exim,root) %dir %{_var}/log/exim
%attr( 750,exim,root) %dir %{_var}/log/archiv/exim
%attr( 640,exim,root) %ghost %{_var}/log/exim/*
%{_infodir}/*
%{_mandir}/man8/*

%files X11
%defattr(644,root,root,755)
%attr(755,root,root) /usr/X11R6/bin/*
%{_applnkdir}/System/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: exim.spec,v $
Revision 1.100.2.2  2003/09/08 15:27:41  areq
- add md5 - move bz2 sources to df
- add smtp_in.patch from debian - applied upstream patch to fix buffer overflow; this is
  potentially a security problem
  This is CAN-2003-0698. For more information see this mailing list posting:
  http://www.exim.org/pipermail/exim-users/Week-of-Mon-20030811/057809.html

Revision 1.100.2.1  2003/07/11 12:00:51  eothane
- some pld.org.pl->pld-linux.org cosmetics

Revision 1.100  2002/09/01 21:51:17  areq
- fix %install, builds now
- Release 5, STBR

Revision 1.99  2002/08/18 09:50:02  kloczek
- release 4.

Revision 1.98  2002/08/17 21:00:06  qboosh
- better messages in pre

Revision 1.97  2002/04/08 14:48:48  gotar
- removed %{_var}/mail directory from package contents,
- release 3.

Revision 1.96  2002/04/06 20:17:26  bonkey
- release 2
- added /etc/pam.d/exim, /etc/security/blacklist.exim for auth
  through pam support

Revision 1.95  2002/04/04 14:37:38  trojan
- updated to 3.36

Revision 1.94  2002/04/04 10:49:33  trojan
- fixed %%install
- release 3; STBR

Revision 1.93  2002/04/03 15:51:09  kloczek
- cosmetics.

Revision 1.92  2002/04/03 12:40:08  trojan
- back to 3.x
- release 2; STBR

Revision 1.91  2002/03/26 17:53:27  misiek
- sync with previous revision from head

Revision 1.90  2002/03/26 12:45:49  misiek
- merged EXIM_4 to HEAD + enable mysql/pgsql/ldap/embed perl support

Revision 1.84.2.5  2002/03/10 16:01:30  areq
- up to 4.01
- add simple triggerpostun - convert old exim.conf to exim 4.x format

Revision 1.84.2.4  2002/03/03 00:08:27  areq
- add /usr/bin/convert4r4 and doc/Exim4.upgrade
- change FAQ.txt config.samples to bz2

Revision 1.84.2.3  2002/03/02 23:38:59  areq
- adaptarized

Revision 1.84.2.2  2002/03/02 23:30:50  areq
- update to 4.00

Revision 1.84.2.1  2002/02/06 11:45:08  areq
- start EXIM_4 branch
- update to 3.953
- update patches

Revision 1.80  2001/12/22 10:48:45  kloczek
- updated to 3.34 (plain bug fix release).

Revision 1.79  2001/12/07 19:51:15  mkochano
- Release 5.
- %%config(noreplace) %%verify(not size mtime md5) /etc/logrotate.d/exim

Revision 1.78  2001/11/23 20:19:09  zagrodzki
- added "ALLOW_TCP_CONNECTIONS" option in .init
- release 4
- STBR

Revision 1.77  2001/10/22 16:36:16  kloczek
- merge some translations from CNV.

Revision 1.76  2001/10/14 16:25:52  areq
- default LOOKUP_CDB=yes, binary size only + 2048b
- relesase 3, STBR

Revision 1.75  2001/10/10 05:26:14  kloczek
- release 2.

Revision 1.74  2001/10/09 23:22:43  blues
- added omta to obsoletes

Revision 1.73  2001/09/24 12:25:42  qboosh
- Prereq: rc-scripts, /sbin/chkconfig

Revision 1.72  2001/08/16 21:10:31  areq
- 3.33, STBR
- remove ipv6.patch

Revision 1.71  2001/08/13 21:57:10  areq
- update ipv6.patch
- Relase 3 - STBR

Revision 1.70  2001/08/10 21:35:11  areq
- add ipv6.patch ( thx misiek)
- Release 2, STBR

Revision 1.69  2001/07/30 17:22:27  areq
- 3.32

Revision 1.68  2001/07/26 05:42:06  saq
- reverting last change: removing new macros from %p{re,ost}{,un}

Revision 1.66  2001/07/19 17:36:53  rrw
- no revision change;
- added documentation on whoson lookup method to texinfo;
- added use of whoson for relaying to default configuration
  (grep whoson /etc/mail/exim.conf);

Revision 1.65  2001/07/18 22:56:22  rrw
- added support for WHOSON client library and conditional build for it

Revision 1.64  2001/07/03 07:28:25  kloczek
- updated to 3.31.

Revision 1.63  2001/07/01 19:20:10  areq
- s/daily/weekly/ in %files /etc/cron.weekly/exim.cron.db

Revision 1.62  2001/06/30 12:00:12  mkochano
- Exim cron script executed weekly, not daily. It is rarely needed.

Revision 1.61  2001/06/29 23:24:22  siefca
- fixed exim.cron.db

Revision 1.60  2001/06/29 23:20:31  misiek
- version 3.30

Revision 1.59  2001/06/11 22:15:52  mkochano
- Release 6.
- Removed /usr/bin/transport-filter.pl. It is only a sample and it is already
  in /usr/share/doc/.

Revision 1.58  2001/05/22 09:06:17  wiget
switch to new conditional builds macros (bcond_on_ -> _with_/bcond_off_ -> _without_); no release changes only simple s/// perfored

Revision 1.57  2001/05/18 22:31:00  mkochano
- Release 5;
- Added transport-filter.pl to %%doc (this sample script is referenced several
  times in documentation and FAQ).

Revision 1.56  2001/05/16 17:56:26  mkochano
- Release 4.
- Rebuilt with more sane cron script.
- PLD specific configuration file replaced with patch for default
  configuration.
- New options enabled in config file: auto_thaw and timeout_frozen_after. This
  takes care of frozen messages instaed of fucked up cron script.

Revision 1.55  2001/05/09 01:44:25  kloczek
- release 3: rebuild against openssl 0.9.6a.

Revision 1.54  2001/05/03 15:23:13  qboosh
- s/Corect/Correct/g

Revision 1.53  2001/04/30 16:05:17  kloczek
- added using %%{rpmcflags} macro.

Revision 1.52  2001/04/09 08:07:55  mkochano
- Release 2.
- Rebuilt with corrected logrotate script (/usr/bin/killall -> /bin/killall).

Revision 1.51  2001/01/25 22:54:14  areq
- change perms /var/mail to 1777

Revision 1.50  2001/01/25 20:03:23  misiek

Massive attack. We use -O0 instead -O flags while debug enabled.

Revision 1.49  2001/01/22 20:45:53  kloczek
- updated texinfo documentation to 3.20,
- changed Source from gz to bz2.

Revision 1.48  2001/01/22 20:22:11  areq
- 3.22

Revision 1.47  2001/01/09 22:42:43  areq
- 3.21

Revision 1.46  2001/01/07 22:46:47  mkochano
- Release 5.
- MySQL _really_ off by default now.
- PostgreSQL off by default.
- Preinstall script fixed ( /bin/id/id -> /bin/id).

Revision 1.45  2000/12/27 12:35:20  kloczek
- release 4.

Revision 1.44  2000/12/27 00:36:00  agaran
in %pre s/postfix/exim/ in getgid test, and added openssl-devel to BuildReq

Revision 1.43  2000/12/23 00:48:44  michuz
- changed %%{!?debug:...}%%{?debug...} to %%{?debug:...}%%{!?debug...}
  (now it's more C like)

Revision 1.42  2000/12/09 17:55:14  jajcus
- file owners fixed (semi-automatically)
  (no special user (like http/news) should own his home directory nor
  files it doesn't create)

Revision 1.41  2000/12/06 21:42:55  misiek
typo

Revision 1.40  2000/12/06 21:36:09  misiek
mysql isn't compiled by default, now

Revision 1.39  2000/12/05 19:26:04  kloczek
- release 3.

Revision 1.38  2000/12/05 18:54:31  waszi
- updated pre/post scripts

Revision 1.37  2000/12/05 17:53:43  waszi
- support for bcond*

Revision 1.36  2000/12/05 09:59:50  waszi

- updated to 3.20
- conditional build (no_ldap,mysql,pgsql)

Revision 1.35  2000/11/27 22:57:16  misiek
using update-db is obsolete; removed

Revision 1.34  2000/11/11 23:35:03  kloczek
- added qmail-client to Obsoletes.

Revision 1.33  2000/11/10 23:51:45  mkochano
- One more correction to %%install. Now it builds.

Revision 1.32  2000/11/10 23:45:58  mkochano
- BuildRequires: db3-devel.
- Corrected %%install section.

Revision 1.31  2000/11/09 12:52:03  kloczek
- spec adapterized,
- added using new rpm automation,
- added to Obsoletes sendmail-cf and sendmail-doc,
- few simplifications in %install.

Revision 1.30  2000/09/01 13:49:54  baggins
- release 2
- fixed logrotate config

Revision 1.29  2000/08/02 18:10:48  mis
- repaired what I corrupted: back to useradd without -m (this copies /etc/skel)

Revision 1.28  2000/07/31 12:03:39  mis
- added -m to useradd to allow it create $HOME for added user(s)

Revision 1.27  2000/07/22 12:17:35  mkochano
- Renamed files:
  * config.samples.tar.gz -> exim-config.samples.tar.gz
  * FAQ.tar.gz -> exim-FAQ.tar.gz

Revision 1.26  2000/07/22 11:29:18  mkochano
- Updated to 3.16.
- Added patch for using system pcre library.
- Setting MAIL variable via pam_env still does NOT work.

Revision 1.25  2000/07/21 16:41:56  mkochano
- /etc/profile.d/exim* files replaced with modification of
  /etc/security/pam_env.conf.

Revision 1.24  2000/07/19 22:39:53  mkochano
- Added /etc/profile.d/exim.{sh,csh} which set MAIL=~/Mail/Mailbox.
